import React from 'react';
export declare type ColumnSpecs = {
    width: string | number;
};
declare type Props = {
    children: React.ReactNode;
    classes?: {
        paper?: string;
        container?: string;
    };
    elevation?: number;
    columnSpecs?: Array<ColumnSpecs>;
};
/**
 * Reusable Component for rendering a DataTable. Should be
 * used in conjunction with the useDataTable component.
 * @param props
 */
export declare const DataTable: React.FC<Props>;
export {};
