import React from 'react';
declare type Props = {
    deleteRow: () => void;
    disabled?: boolean;
};
/**
 * Reusable display component for rendering the last cell in
 * each row of the extracted table editor, which contains the delete
 * row icon.  Takes in a callback function to delete the row.
 * @param Props
 */
export declare const DeleteRowIconCell: React.FC<Props>;
export {};
