/**
 * Corresponds to the Butler Color Palette
 */
export declare const ButlerColorPalette: {
    primary: {
        main: string;
        light: string;
        dark: string;
    };
    secondary: {
        main: string;
        light: string;
        dark: string;
    };
    error: {
        main: string;
        light: string;
        dark: string;
    };
    warning: {
        main: string;
        light: string;
        dark: string;
    };
    info: {
        main: string;
        light: string;
        dark: string;
    };
    success: {
        main: string;
        light: string;
        dark: string;
    };
    common: {
        black: string;
        white: string;
        divider: string;
    };
    text: {
        primary: string;
        secondary: string;
        disabled: string;
        hint: string;
    };
    background: {
        paper: string;
        default: string;
        secondary: string;
        dark: string;
        light: string;
    };
    icon: {
        default: string;
    };
    brand: {
        main: string;
        teal: string;
    };
};
