import React from 'react';
import { DocumentLabelerData } from 'documentLabeler/state/DocumentLabelerState';
import { DocumentLabelerOutputDataDto } from 'common/types/DocumentLabelerTypes';
declare type Props = {
    data: DocumentLabelerData;
    onSaveCallback: (documentLabelerOutput: DocumentLabelerOutputDataDto) => void;
};
/**
 * Top level component containing the Embedded Document Labeler.  Takes in document info
 * as the data property, as well as an onSaveCallback to be executed when the save button
 * is clicked.  Handles positioning and rendering of the sub components
 * @param Props
 */
export declare const DocumentLabeler: React.FC<Props>;
export {};
