/**
 * This file contains mock data that can be used in storybook tests for the purposes of testing
 * the embedded document labeler
 */
import { DocumentLabelerData } from "documentLabeler/state/DocumentLabelerState";
import { BlockDto, LabelDto, MimeType } from "common/types/DocumentLabelerTypes";
export declare const MockDocumentLabelerData: {
    modelId: string;
    docId: string;
    tempDocUrl: string;
    fileName: string;
    mimeType: MimeType;
    wordBlocks: BlockDto[];
    labels: LabelDto;
    documentLabelerData: DocumentLabelerData;
};
