import React from 'react';
import { BlockDto } from 'common/types/DocumentLabelerTypes';
declare type Props = {
    block: BlockDto;
    color: string;
    onClick?: (event: React.MouseEvent) => void;
    docPageHeights: Array<number>;
    docRenderWidth: number;
    opacity?: number;
    autoScroll?: boolean;
};
/**
 * Component used for rendering a colored block over the DocumentColoredBlockLayer
 * @param props
 */
export declare const ColoredBlock: React.FC<Props>;
export {};
