import { DocumentLabelerData } from 'documentLabeler/state/DocumentLabelerState';
import { DocumentLabelerOutputDataDto } from 'common/types/DocumentLabelerTypes';
import { ButlerBlockApi } from 'api/apiCalls';
declare type CreateDocLabelerFn = (id: string, data: DocumentLabelerData, onSaveCallback: (data: DocumentLabelerOutputDataDto) => void) => void;
declare type LoadedButlerBlocksSdk = {
    createDocLabeler: CreateDocLabelerFn;
    api: ButlerBlockApi;
};
declare const loadButlerBlocks: (apiKey: string) => LoadedButlerBlocksSdk;
export { loadButlerBlocks, };
