import { ColumnSpecsUtil } from "common/dataTable/columnSpecsUtil/ColumnSpecsUtil";
describe('Column Specs Util', function () {
    describe('calcColumnSpecs', function () {
        it('should return correctly for one column', function () {
            var expectedOutput = ['calc(100% - 24px)', '24px'].map(function (value) { return ({
                width: value,
            }); });
            expect(ColumnSpecsUtil.calcColumnSpecs(1)).toEqual(expectedOutput);
        });
        it('should return correctly for four column', function () {
            var expectedOutput = [
                'calc(25% - 6px)',
                'calc(25% - 6px)',
                'calc(25% - 6px)',
                'calc(25% - 6px)',
                '24px',
            ].map(function (value) { return ({
                width: value,
            }); });
            expect(ColumnSpecsUtil.calcColumnSpecs(4)).toEqual(expectedOutput);
        });
    });
});
