import React, { ReactNode } from 'react';
import 'typeface-poppins';
import { StylesOptions } from '@material-ui/styles';
declare type Props = {
    generateClassName?: StylesOptions['generateClassName'];
    children: ReactNode;
};
/**
 * Component that represents the results of inserting an object into an
 * external app within the context of an AppRun.
 * @param generateClassName Override default behavior of Material UI classname
 *                          generation. Used in testing to provide stable names
 */
export declare const ButlerProvider: React.FC<Props>;
export {};
