import React from 'react';
declare type Props = {
    document: string;
    pages: Array<JSX.Element>;
    loaders: {
        onPdfDocumentLoadSuccess: (pdf: any) => void;
        onImgDocumentLoadSuccess: (pageHeight: number) => void;
    };
    width: number;
    mimeType: string;
};
/**
 * Reusable component that displays a document based off the type of
 * document that it is passed. Used for rendering doc extraction images.
 * @param props
 */
export declare const DocumentDisplayer: React.FC<Props>;
export {};
