import { FieldType } from 'common/types/DocumentLabelerTypes';
import React from 'react';
declare type Props = {
    id: string;
    type: FieldType;
    name: string;
    value: string;
    color: string;
    hasValue?: boolean;
};
/**
 * Component responsible for rendering a field in the fields panel.
 * Takes in information about the field and its associated display color
 * and handles selecting the field and editing the field value.
 * @param Props
 */
export declare const FieldsPanelDisplayRow: React.FC<Props>;
export {};
