import React from 'react';
declare type Props = {
    textValue: string;
    placeholder: string;
    header?: boolean;
    displayActions?: boolean;
    isActive?: boolean;
    showEdit?: boolean;
    actionOnly?: boolean;
    onClick?: () => void;
    onSaveValue?: (value: string) => void;
    onDelete?: () => void;
    dataCy?: string;
};
/**
 * Component responsible for:
 * 1. Rendering Column Headers in the Table Labeler
 * 2. Rendering Table Cells in the Table Labeler
 * @param Props
 */
export declare const DocumentLabelerTableCell: React.FC<Props>;
export {};
