import React from 'react';
declare type Props = {
    name: string;
    onSave: (name: string) => void;
    label: string;
    inputRef?: React.MutableRefObject<HTMLInputElement | null>;
};
/**
 * Reusable visual component for displaying an outlined
 * text field with a save button, used throughout the
 * Create Doc Type flow to edit form field, table, and
 * column header names
 */
export declare const EditableNameDisplay: React.FC<Props>;
export {};
