import { ActiveField, DocumentLabelerInternalState } from "documentLabeler/state/DocumentLabelerState";
import { BoundingBoxDto } from "common/types/DocumentLabelerTypes";
export declare type ClearRegionFromFieldAction = {
    type: 'clearRegionFromField';
    payload: ActiveField;
};
export declare type AddRegionToActiveFieldAction = {
    type: 'addRegionToActiveField';
    payload: {
        region: BoundingBoxDto;
    };
};
export declare const RegionReducerUtils: {
    clearRegionFromField: (state: DocumentLabelerInternalState, action: ClearRegionFromFieldAction) => DocumentLabelerInternalState;
    addRegionToActiveField: (state: DocumentLabelerInternalState, action: AddRegionToActiveFieldAction) => DocumentLabelerInternalState;
};
